# Generated by Django 5.1.5 on 2025-03-04 18:20

import django.db.models.deletion
import taggit.managers
import utilities.json
from django.db import migrations, models

import netbox_routeros.models.capsman
import netbox_routeros.validators


class Migration(migrations.Migration):
    dependencies = [
        ("dcim", "0200_populate_mac_addresses"),
        ("extras", "0122_charfield_null_choices"),
        ("netbox_routeros", "0001_initial"),
    ]

    operations = [
        migrations.AlterField(
            model_name="capsmanchannel",
            name="capsman",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="channels",
                to="netbox_routeros.capsmaninstance",
            ),
        ),
        migrations.CreateModel(
            name="CapsmanServerConfig",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "custom_field_data",
                    models.JSONField(
                        blank=True,
                        default=dict,
                        encoder=utilities.json.CustomFieldJSONEncoder,
                    ),
                ),
                ("description", models.CharField(blank=True, max_length=200)),
                ("comments", models.TextField(blank=True)),
                ("enabled", models.BooleanField(default=True)),
                (
                    "package_path",
                    models.CharField(
                        blank=True,
                        max_length=255,
                        null=True,
                        validators=[netbox_routeros.validators.FilePathValidator()],
                    ),
                ),
                (
                    "upgrade_policy",
                    models.CharField(default="suggest same version", max_length=50),
                ),
                (
                    "capsman",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="server",
                        to="netbox_routeros.capsmaninstance",
                    ),
                ),
                (
                    "interfaces",
                    models.ManyToManyField(
                        blank=True, related_name="+", to="dcim.interface"
                    ),
                ),
                (
                    "tags",
                    taggit.managers.TaggableManager(
                        through="extras.TaggedItem", to="extras.Tag"
                    ),
                ),
            ],
            options={
                "ordering": ("capsman",),
            },
        ),
    ]
