# Generated by Django 5.1.5 on 2025-03-23 10:26

import django.db.models.deletion
import taggit.managers
import utilities.json
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("dcim", "0200_populate_mac_addresses"),
        ("extras", "0122_charfield_null_choices"),
        ("netbox_routeros", "0002_alter_capsmanchannel_capsman_capsmanserverconfig"),
    ]

    operations = [
        migrations.CreateModel(
            name="InterfaceList",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "custom_field_data",
                    models.JSONField(
                        blank=True,
                        default=dict,
                        encoder=utilities.json.CustomFieldJSONEncoder,
                    ),
                ),
                ("description", models.CharField(blank=True, max_length=200)),
                ("comments", models.TextField(blank=True)),
                ("name", models.CharField(db_collation="natural_sort", max_length=64)),
                (
                    "interfaces",
                    models.ManyToManyField(
                        blank=True, related_name="+", to="dcim.interface"
                    ),
                ),
                (
                    "routeros",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="interface_lists",
                        to="netbox_routeros.routerosinstance",
                    ),
                ),
                (
                    "tags",
                    taggit.managers.TaggableManager(
                        through="extras.TaggedItem", to="extras.Tag"
                    ),
                ),
            ],
            options={
                "ordering": ("routeros", "name"),
            },
        ),
        migrations.AddField(
            model_name="capsmanserverconfig",
            name="interface_lists",
            field=models.ManyToManyField(
                blank=True, related_name="+", to="netbox_routeros.interfacelist"
            ),
        ),
    ]
